Skip to main content
GET
/
client
/
academy
/
lesson-submissions
Get Lesson Submissions
curl --request GET \
  --url https://api.doshi.app/client/academy/lesson-submissions \
  --header 'Access-Type: <access-type>' \
  --header 'Authorization: Bearer <token>'
{
  "submissions": [
    {
      "id": "<string>",
      "lessonId": "<string>",
      "userId": "<string>",
      "isCompleted": true,
      "earnedDosh": 123,
      "earnedXP": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "correctAnswers": 123,
      "totalQuestions": 123,
      "pathId": "<string>",
      "levelId": "<string>",
      "completedQuestionIds": [
        "<string>"
      ],
      "rightAnsweredQuestionIds": [
        "<string>"
      ],
      "rewardedQuestionIds": [
        "<string>"
      ],
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.doshi.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token (API Key) provided by Doshi. Your server's IP address must be whitelisted to use this API. Contact hello@doshi.app to whitelist your IPs.

Headers

Access-Type
enum<string>
required

Must be set to 'client' for all API requests

Available options:
client

Query Parameters

levelId
string
pathId
string
lessonId
string

Response

A list of lesson submissions.

submissions
object[]
required
total
integer
required